#ifndef __KRG_HOTPLUG__
#define __KRG_HOTPLUG__

enum {
	KERRIGHED_NODE_INVALID,
	KERRIGHED_NODE_POSSIBLE,
	KERRIGHED_NODE_PRESENT,
	KERRIGHED_NODE_ONLINE,
};

struct universe_elem {
	int state;
	int subid;
};
extern struct universe_elem universe[KERRIGHED_MAX_NODES];

extern void (*kh_cluster_autostart)(void);
extern void (*kh_node_reachable)(kerrighed_node_t nodeid);
extern void (*kh_node_unreachable)(kerrighed_node_t nodeid);

void krg_node_arrival(kerrighed_node_t nodeid);
void krg_node_departure(kerrighed_node_t nodeid);

#endif
